## chemps2 1.8.2

=== CMakeLists.txt ===
project (CheMPS2)
set (CheMPS2_MMP_VERSION   "1.8.2")
set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-10-26)")
set (CheMPS2_AUTHORS       "Sebastian Wouters")
set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
set (CheMPS2_URL           "https://github.com/SebWouters/CheMPS2")
set (CheMPS2_LICENSE       "GNU General Public License, version 2")
set (CheMPS2_LIB_SOVERSION 2)

cmake_minimum_required (VERSION 2.8.11)

# <<<  CMake includes  >>>

include (GNUInstallDirs)
include (CheckCXXCompilerFlag)
include (CMakePackageConfigHelpers)

# <<<  Default CMake options  >>>

option (MKL                  "Compile using the MKL"                   OFF)
option (BUILD_DOXYGEN        "Use Doxygen to create a HTML/PDF manual" OFF)
option (BUILD_SPHINX         "Build the user manual with Sphinx"       OFF)
option (STATIC_ONLY          "Compile only the static library"         OFF)
option (SHARED_ONLY          "Compile only the shared library"         OFF)
option (ENABLE_TESTS         "Compile the tests"                       ON)
option (ENABLE_XHOST         "Enable processor-specific optimizations" ON)
option (ENABLE_GENERIC       "Enable mostly static linking in shared library" OFF)
option (ENABLE_OPENMP        "Enable OpenMP parallelization"           ON)
option (WITH_MPI             "Build the library with MPI"              OFF)
option (BUILD_FPIC           "Static library in STATIC_ONLY will be compiled with position independent code" OFF)

set (CMAKE_VERBOSE_MAKEFILE  OFF)
set (CMAKE_MODULE_PATH       ${CMAKE_MODULE_PATH} "${CheMPS2_SOURCE_DIR}/CMake/")

if (STATIC_ONLY AND SHARED_ONLY)
    message (FATAL_ERROR "The options STATIC_ONLY=ON and SHARED_ONLY=ON are conflicting." )
endif()

# <<<  Enable MPI  >>>

if (WITH_MPI)
    add_definitions (-DCHEMPS2_MPI_COMPILATION)
endif ()

# <<< Pass CheMPS2 version  >>>

add_definitions(-DCHEMPS2_VERSION="${CheMPS2_VERSION}")

# <<<  Check build type  >>>

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()
message("-- The CMake build type is ${CMAKE_BUILD_TYPE}")

# <<<  Enable OpenMP  >>>

if (ENABLE_OPENMP)
    find_package (OpenMP)
    if (OPENMP_FOUND)
        set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    endif()
endif()

# <<<  Enable host specific optimizations  >>>

if (ENABLE_XHOST)
    check_cxx_compiler_flag (-xHost HAS_XHOST)
    check_cxx_compiler_flag (-march=native HAS_MARCH_NATIVE)
    if (HAS_XHOST)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -xHost")
    elseif (HAS_MARCH_NATIVE)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
    endif()
endif()

# <<<  Enable inter-parts / link-time optimization  >>>

check_cxx_compiler_flag (-ipo HAS_IPO)
if (HAS_IPO)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ipo")
endif()

check_cxx_compiler_flag (-flto HAS_FLTO)
if (HAS_FLTO)
    set (CMAKE_CXX_FLAGS "-flto ${CMAKE_CXX_FLAGS}")
endif()

# <<<  Enable generic  >>>

if (ENABLE_GENERIC)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-libstdc++ -static-libgcc")
    check_cxx_compiler_flag (-static-intel HAS_INTEL_COMPILERS)
    if (HAS_INTEL_COMPILERS)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static-intel -wd10237")
    endif()
endif()

# <<<  Find LAPACK and BLAS  >>>

link_directories ($ENV{LD_LIBRARY_PATH})
if (MKL)
    set (ENV{BLA_VENDOR} "Intel10_64lp")
endif()

if (LAPACK_LIBRARIES)
    message (STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
else()
    find_package (LAPACK REQUIRED)
endif()

foreach (_l in LISTS LAPACK_LIBRARIES)
    if (${_l} MATCHES "mkl")
        set (MKL "ON")
    endif()
endforeach()

if (MKL)
    add_definitions (-DCHEMPS2_MKL)
endif ()

# <<<  Find HDF5  >>>

if (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
    message (STATUS "HDF5 detection suppressed. Using: ${HDF5_LIBRARIES} and includes ${HDF5_INCLUDE_DIRS}")
else()
    find_package (HDF5 REQUIRED)
endif()

# <<<  Add source files, tests, sphinx, and doxygen  >>>

enable_testing ()
add_subdirectory (CheMPS2)
if (ENABLE_TESTS)
    add_subdirectory (tests)
endif()

if (BUILD_SPHINX)
    add_subdirectory (sphinx)
endif()

if (BUILD_DOXYGEN)
    find_package (Doxygen)
    if (NOT DOXYGEN_FOUND)
        message (FATAL_ERROR "Doxygen is needed to build the documentation. Please install it correctly.")
    endif()
    configure_file (${CheMPS2_SOURCE_DIR}/CheMPS2/Doxyfile.in ${CheMPS2_BINARY_DIR}/Doxyfile @ONLY IMMEDIATE)
    add_custom_target (doc COMMAND ${DOXYGEN_EXECUTABLE} ${CheMPS2_BINARY_DIR}/Doxyfile SOURCES ${CheMPS2_BINARY_DIR}/Doxyfile)
endif()

# <<<  Export config  >>>

set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}")
configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
write_basic_package_version_file (${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                      VERSION ${CheMPS2_MMP_VERSION}
                                      COMPATIBILITY AnyNewerVersion)  # arguably should be same M.m version
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
               DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== CheMPS2/CMakeLists.txt ===
cmake_policy (SET CMP0022 NEW)

set (CHEMPS2LIB_SOURCE_FILES "CASPT2.cpp"
                             "CASSCF.cpp"
                             "CASSCFdebug.cpp"
                             "CASSCFnewtonraphson.cpp"
                             "CASSCFpt2.cpp"
                             "ConjugateGradient.cpp"
                             "ConvergenceScheme.cpp"
                             "Correlations.cpp"
                             "Cumulant.cpp"
                             "Davidson.cpp"
                             "DIIS.cpp"
                             "DMRG.cpp"
                             "DMRGfock.cpp"
                             "DMRGmpsio.cpp"
                             "DMRGoperators.cpp"
                             "DMRGoperators3RDM.cpp"
                             "DMRGSCFindices.cpp"
                             "DMRGSCFintegrals.cpp"
                             "DMRGSCFmatrix.cpp"
                             "DMRGSCFoptions.cpp"
                             "DMRGSCFrotations.cpp"
                             "DMRGSCFunitary.cpp"
                             "DMRGSCFwtilde.cpp"
                             "DMRGtechnics.cpp"
                             "EdmistonRuedenberg.cpp"
                             "Excitation.cpp"
                             "FCI.cpp"
                             "FourIndex.cpp"
                             "Hamiltonian.cpp"
                             "Heff.cpp"
                             "HeffDiagonal.cpp"
                             "HeffDiagrams1.cpp"
                             "HeffDiagrams2.cpp"
                             "HeffDiagrams3.cpp"
                             "HeffDiagrams4.cpp"
                             "HeffDiagrams5.cpp"
                             "Initialize.cpp"
                             "Irreps.cpp"
                             "Molden.cpp"
                             "PrintLicense.cpp"
                             "Problem.cpp"
                             "Sobject.cpp"
                             "SyBookkeeper.cpp"
                             "Tensor3RDM.cpp"
                             "TensorF0.cpp"
                             "TensorF1.cpp"
                             "TensorGYZ.cpp"
                             "TensorKM.cpp"
                             "TensorL.cpp"
                             "TensorO.cpp"
                             "TensorOperator.cpp"
                             "TensorQ.cpp"
                             "TensorS0.cpp"
                             "TensorS1.cpp"
                             "TensorT.cpp"
                             "TensorX.cpp"
                             "ThreeDM.cpp"
                             "TwoDM.cpp"
                             "TwoIndex.cpp"
                             "Wigner.cpp")

add_library (chemps2-base OBJECT ${CHEMPS2LIB_SOURCE_FILES})
target_include_directories (chemps2-base PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2 ${HDF5_INCLUDE_DIRS})

if (BUILD_FPIC OR NOT STATIC_ONLY)
    set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
endif()

if (NOT STATIC_ONLY)
    add_library           (chemps2-shared SHARED  $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION}
                                                     OUTPUT_NAME "chemps2"
                                                     EXPORT_NAME "chemps2")
endif()

if (NOT SHARED_ONLY)
    add_library           (chemps2-static STATIC  $<TARGET_OBJECTS:chemps2-base>)
    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    set_target_properties (chemps2-static PROPERTIES OUTPUT_NAME "chemps2"
                                                     EXPORT_NAME "chemps2")
endif()

if (STATIC_ONLY)
    add_library (chemps2-lib ALIAS chemps2-static)
else ()
    add_library (chemps2-lib ALIAS chemps2-shared)
endif()

add_executable             (chemps2-bin executable.cpp)
target_link_libraries      (chemps2-bin chemps2-lib ${LIBC_INTERJECT})
set_target_properties      (chemps2-bin PROPERTIES OUTPUT_NAME "chemps2")
target_include_directories (chemps2-bin PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2 ${HDF5_INCLUDE_DIRS})

# <<<  Install  >>>

if (NOT STATIC_ONLY)
    install (TARGETS chemps2-shared chemps2-bin
                     EXPORT "${PROJECT_NAME}Targets-shared"
                     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

if (NOT SHARED_ONLY)
    install (TARGETS chemps2-static chemps2-bin
                     EXPORT "${PROJECT_NAME}Targets-static"
                     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
                     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

install (DIRECTORY include/chemps2/
                   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/chemps2
                   FILES_MATCHING PATTERN "*.h")

# <<<  Export interface  >>>

if (NOT STATIC_ONLY)
    target_compile_definitions (chemps2-shared INTERFACE USING_${PROJECT_NAME})
    target_link_libraries      (chemps2-shared INTERFACE ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    target_include_directories (chemps2-shared INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                         $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
endif()

if (NOT SHARED_ONLY)
    target_compile_definitions (chemps2-static INTERFACE USING_${PROJECT_NAME})
    target_link_libraries      (chemps2-static INTERFACE ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
    target_include_directories (chemps2-static INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                         $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
endif()

# <<<  Export Config  >>>

set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}")
if (NOT STATIC_ONLY)
    install (EXPORT "${PROJECT_NAME}Targets-shared"
                     NAMESPACE "${PROJECT_NAME}::"
                     DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()

if (NOT SHARED_ONLY)
    install (EXPORT "${PROJECT_NAME}Targets-static"
                     NAMESPACE "${PROJECT_NAME}::"
                     DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()

=== debian/changelog ===
chemps2 (1.8.2-1) unstable; urgency=medium

  [ Sebastian Wouters ]
  * Upstream release v1.8.2 (fixing build)
  * Upstream release v1.8.1 (MOLCAS interface)

  [ Gilles Filippini ]
  * Update symbols file to support HDF5 1.10 (Closes: #841954)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 26 Oct 2016 22:20:02 +0200

## chemps2 1.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.2")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-10-26)")
+set (CheMPS2_MMP_VERSION   "1.8.3")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-11-15)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
@@ -105,8 +105,9 @@
     set (ENV{BLA_VENDOR} "Intel10_64lp")
 endif()
 
-if (LAPACK_LIBRARIES)
-    message (STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
+if (LAPACK_INTERJECT)
+    set (LAPACK_LIBRARIES ${LAPACK_INTERJECT})
+    message (STATUS "LAPACK detection suppressed. Using (assumed static for cmake export): ${LAPACK_LIBRARIES}")
 else()
     find_package (LAPACK REQUIRED)
 endif()
@@ -152,7 +153,8 @@
 
 # <<<  Export config  >>>
 
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}")
+    # explicit "share" not "DATADIR" for CMake search path
+set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
 configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== CheMPS2/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
 
 if (NOT STATIC_ONLY)
     add_library           (chemps2-shared SHARED  $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT})
     set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION}
                                                      OUTPUT_NAME "chemps2"
                                                      EXPORT_NAME "chemps2")
@@ -78,7 +78,7 @@
 
 if (NOT SHARED_ONLY)
     add_library           (chemps2-static STATIC  $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT})
     set_target_properties (chemps2-static PROPERTIES OUTPUT_NAME "chemps2"
                                                      EXPORT_NAME "chemps2")
 endif()
@@ -117,22 +117,31 @@
 # <<<  Export interface  >>>
 
 if (NOT STATIC_ONLY)
+    if (APPLE)
+        set_target_properties(chemps2-shared PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+    endif()
     target_compile_definitions (chemps2-shared INTERFACE USING_${PROJECT_NAME})
-    target_link_libraries      (chemps2-shared INTERFACE ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    if (LAPACK_INTERJECT)
+        target_link_libraries  (chemps2-shared PRIVATE ${LAPACK_LIBRARIES})
+    else()
+        target_link_libraries  (chemps2-shared PUBLIC ${LAPACK_LIBRARIES})
+    endif()
+    target_link_libraries      (chemps2-shared PUBLIC ${HDF5_LIBRARIES})
     target_include_directories (chemps2-shared INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                          $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
 endif()
 
 if (NOT SHARED_ONLY)
     target_compile_definitions (chemps2-static INTERFACE USING_${PROJECT_NAME})
-    target_link_libraries      (chemps2-static INTERFACE ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries      (chemps2-static PUBLIC ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
     target_include_directories (chemps2-static INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                                                          $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
 endif()
 
 # <<<  Export Config  >>>
 
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/cmake/${PROJECT_NAME}")
+    # explicit "share" not "DATADIR" for CMake search path
+set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
 if (NOT STATIC_ONLY)
     install (EXPORT "${PROJECT_NAME}Targets-shared"
                      NAMESPACE "${PROJECT_NAME}::"

=== tests/CMakeLists.txt ===
include_directories (${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2/ ${HDF5_INCLUDE_DIRS})

link_directories (${CMAKE_BINARY_DIR}/CheMPS2)

file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)

set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10" "test11" "test12" "test13" "test14")

foreach (ITEM ${TESTLIST})
    configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    add_executable (${ITEM} ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
    target_link_libraries (${ITEM} chemps2-lib)
    add_test (${ITEM} ${ITEM})
endforeach()

=== debian/changelog ===
chemps2 (1.8.3-2) unstable; urgency=medium

  * Fix lintian errors (i386 build)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Thu, 08 Dec 2016 12:44:07 +0100

chemps2 (1.8.3-1) unstable; urgency=medium

  * Upstream release v1.8.3 (MOLCAS interface)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 15 Nov 2016 20:07:44 +0100

=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.11),
               libblas-dev,
               liblapack-dev,
               libhdf5-dev,
               dh-python,
               python-all (>= 2.7),
               python-setuptools,
               python-docutils,
               python-sphinx (>= 1.1),
               cython (>= 0.19),
               python-numpy,
               libpython-dev,
               libjs-mathjax,
               libjs-jquery,
               libjs-underscore
Standards-Version: 3.9.8
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git

Package: libchemps2-2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-2
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-2 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This is the common documentation package.

Package: chemps2
Section: science
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Breaks: libchemps2-1 (<< 1.7-1~)
Replaces: libchemps2-1 (<< 1.7-1~)
Suggests: chemps2-doc
Description: Executable to call libchemps2-2 from the command line
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the executable which parses Hamiltonians in
 fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
 specified by the user.

Package: python-chemps2
Section: python
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-2 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 2 interface for libchemps2-2
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_BUILD_OPTIONS += partialcheck

override_dh_auto_configure:
#	echo "DEB_HOST_MULTIARCH = ${DEB_HOST_MULTIARCH}"
#	echo "DEB_HOST_GNU_TYPE  = ${DEB_HOST_GNU_TYPE}"
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
                             -DENABLE_XHOST=OFF \
                             -DBUILD_SPHINX=ON \
                             -DHDF5_INCLUDE_DIRS=/usr/include/hdf5/serial \
                             -DCMAKE_BUILD_TYPE=release

override_dh_auto_build:
	dh_auto_build
	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                           -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
                                                           -D html_theme=default \
                                                           -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" sphinx/ build-sphinx/html
	# I know it's ugly, but sphinx splits strings at equality signs: http://svn.python.org/projects/doctools/trunk/sphinx/cmdline.py
	cd build-sphinx/html && sed -i "s/MathJax.js/MathJax.js?config=TeX-AMS-MML_HTMLorMML/" *.html
	# Solving the complaints from lintian about jquery.js & underscore.js
	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2

override_dh_auto_install:
	dh_auto_install
	# This will skip the build as it is already performed
	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py install --root=../debian/tmp --install-layout=deb
	dh_numpy

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))) # nocheck NOT in variable
    ifeq (,$(filter fullcheck,$(DEB_BUILD_OPTIONS))) # fullcheck NOT in variable
	cd obj-${DEB_HOST_GNU_TYPE}/ && ctest -R "^test3|^test5|^test8"
    else
	dh_auto_test
    endif
#Just check if the first python test works: python and c++ tests are identical
	cd PyCheMPS2/tests && PYTHONPATH=../../$(shell find -name lib.*):.. \
                              LD_LIBRARY_PATH=../../obj-${DEB_HOST_GNU_TYPE}/CheMPS2:/usr/lib/${DEB_HOST_MULTIARCH}/hdf5/serial \
                              python2 test1.py
else
	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
endif

# Now handled by debian/chemps2.manpages
#override_dh_installman:
#	dh_installman chemps2.1

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_clean:
	dh_clean
	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc

%:
	dh $@ --with python2

## chemps2 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.3")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2016-11-15)")
+set (CheMPS2_MMP_VERSION   "1.8.4")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2017-05-23)")
+#set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL         "sebastianwouters@gmail.com")
@@ -105,14 +106,10 @@
     set (ENV{BLA_VENDOR} "Intel10_64lp")
 endif()
 
-if (LAPACK_INTERJECT)
-    set (LAPACK_LIBRARIES ${LAPACK_INTERJECT})
-    message (STATUS "LAPACK detection suppressed. Using (assumed static for cmake export): ${LAPACK_LIBRARIES}")
-else()
-    find_package (LAPACK REQUIRED)
-endif()
+find_package (TargetLAPACK REQUIRED)
 
-foreach (_l in LISTS LAPACK_LIBRARIES)
+get_property(_lapack_libraries TARGET tgt::lapack PROPERTY INTERFACE_LINK_LIBRARIES)
+foreach (_l IN LISTS _lapack_libraries)
     if (${_l} MATCHES "mkl")
         set (MKL "ON")
     endif()
@@ -124,11 +121,7 @@
 
 # <<<  Find HDF5  >>>
 
-if (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
-    message (STATUS "HDF5 detection suppressed. Using: ${HDF5_LIBRARIES} and includes ${HDF5_INCLUDE_DIRS}")
-else()
-    find_package (HDF5 REQUIRED)
-endif()
+find_package (TargetHDF5 REQUIRED)
 
 # <<<  Add source files, tests, sphinx, and doxygen  >>>
 
@@ -153,15 +146,16 @@
 
 # <<<  Export config  >>>
 
-    # explicit "share" not "DATADIR" for CMake search path
+# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
 set (CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}")
 configure_package_config_file (${CheMPS2_SOURCE_DIR}/CMake/${PROJECT_NAME}Config.cmake.in
                                     "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                                     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
 write_basic_package_version_file (${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                       VERSION ${CheMPS2_MMP_VERSION}
-                                      COMPATIBILITY AnyNewerVersion)  # arguably should be same M.m version
+                                      COMPATIBILITY AnyNewerVersion)
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
+               ${CheMPS2_SOURCE_DIR}/CMake/FindTargetHDF5.cmake
                DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== debian/changelog ===
chemps2 (1.8.4-2) unstable; urgency=medium

  * Upload to unstable now that Stretch is released
  * Bump debhelper to 10
  * Bump Standards-Version to 4.0.0
  * In copyright-format https is preferred
  * Cmake 3.0.2 required by upstream 1.8.4
  * Overwrite CMAKE_VERBOSE_MAKEFILE=OFF in upstream
    by passing VERBOSE=1 to make in debian/rules
  * Multi-Arch: foreign for chemps2-doc
  * Multi-Arch: same for libchemps2-2, libchemps2-dev,
    and python-chemps2

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 16 Jul 2017 15:21:57 +0200

chemps2 (1.8.4-1) experimental; urgency=medium

  * Upstream release v1.8.4 (MOLCAS interface + build system)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 23 May 2017 22:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
            Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 9),
-               cmake (>= 2.8.11),
+Build-Depends: debhelper (>= 10),
+               cmake (>= 3.0.2),
                libblas-dev,
                liblapack-dev,
                libhdf5-dev,
@@ -20,13 +20,14 @@
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git
 
 Package: libchemps2-2
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: chemps2-doc
@@ -56,6 +57,7 @@
 Package: libchemps2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libchemps2-2 (= ${binary:Version})
@@ -89,6 +91,7 @@
 Package: chemps2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: Documentation of the libchemps2-2 package
@@ -155,6 +158,7 @@
 Package: python-chemps2
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
                              -DCMAKE_BUILD_TYPE=release
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- VERBOSE=1
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                            -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \

## chemps2 1.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (CheMPS2)
-set (CheMPS2_MMP_VERSION   "1.8.4")
-set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2017-05-23)")
+set (CheMPS2_MMP_VERSION   "1.8.5")
+set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION} (2018-01-14)")
 #set (CheMPS2_VERSION       "${CheMPS2_MMP_VERSION}-15 (2017-05-22)")
 set (CheMPS2_AUTHORS       "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION   "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
@@ -9,7 +9,7 @@
 set (CheMPS2_LICENSE       "GNU General Public License, version 2")
 set (CheMPS2_LIB_SOVERSION 2)
 
-cmake_minimum_required (VERSION 2.8.11)
+cmake_minimum_required (VERSION 3.0.2)
 
 # <<<  CMake includes  >>>

=== CheMPS2/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_policy (SET CMP0022 NEW)
+cmake_policy (SET CMP0028 NEW)
 
 set (CHEMPS2LIB_SOURCE_FILES "CASPT2.cpp"
                              "CASSCF.cpp"
@@ -62,7 +63,8 @@
                              "Wigner.cpp")
 
 add_library (chemps2-base OBJECT ${CHEMPS2LIB_SOURCE_FILES})
-target_include_directories (chemps2-base PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2 ${HDF5_INCLUDE_DIRS})
+target_include_directories (chemps2-base PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2
+                                                 $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)
 
 if (BUILD_FPIC OR NOT STATIC_ONLY)
     set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
@@ -70,15 +72,20 @@
 
 if (NOT STATIC_ONLY)
     add_library           (chemps2-shared SHARED  $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT})
+    target_link_libraries (chemps2-shared PRIVATE ${LIBC_INTERJECT}
+                                                  tgt::lapack
+                                                  tgt::hdf5)
     set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION}
+                                                     MACOSX_RPATH ON
                                                      OUTPUT_NAME "chemps2"
                                                      EXPORT_NAME "chemps2")
 endif()
 
 if (NOT SHARED_ONLY)
     add_library           (chemps2-static STATIC  $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT})
+    target_link_libraries (chemps2-static PRIVATE ${LIBC_INTERJECT}
+                                                  tgt::lapack
+                                                  tgt::hdf5)
     set_target_properties (chemps2-static PROPERTIES OUTPUT_NAME "chemps2"
                                                      EXPORT_NAME "chemps2")
 endif()
@@ -92,7 +99,6 @@
 add_executable             (chemps2-bin executable.cpp)
 target_link_libraries      (chemps2-bin chemps2-lib ${LIBC_INTERJECT})
 set_target_properties      (chemps2-bin PROPERTIES OUTPUT_NAME "chemps2")
-target_include_directories (chemps2-bin PRIVATE ${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2 ${HDF5_INCLUDE_DIRS})
 
 # <<<  Install  >>>
 
@@ -121,21 +127,16 @@
         set_target_properties(chemps2-shared PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
     endif()
     target_compile_definitions (chemps2-shared INTERFACE USING_${PROJECT_NAME})
-    if (LAPACK_INTERJECT)
-        target_link_libraries  (chemps2-shared PRIVATE ${LAPACK_LIBRARIES})
-    else()
-        target_link_libraries  (chemps2-shared PUBLIC ${LAPACK_LIBRARIES})
-    endif()
-    target_link_libraries      (chemps2-shared PUBLIC ${HDF5_LIBRARIES})
-    target_include_directories (chemps2-shared INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
-                                                         $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
+    target_include_directories (chemps2-shared INTERFACE $<BUILD_INTERFACE:${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2>
+                                                         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+                                                         $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)
 endif()
 
 if (NOT SHARED_ONLY)
     target_compile_definitions (chemps2-static INTERFACE USING_${PROJECT_NAME})
-    target_link_libraries      (chemps2-static PUBLIC ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
-    target_include_directories (chemps2-static INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
-                                                         $<INSTALL_INTERFACE:${HDF5_INCLUDE_DIRS}>)
+    target_include_directories (chemps2-static INTERFACE $<BUILD_INTERFACE:${CheMPS2_SOURCE_DIR}/CheMPS2/include/chemps2>
+                                                         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+                                                         $<TARGET_PROPERTY:tgt::hdf5,INTERFACE_INCLUDE_DIRECTORIES>)
 endif()
 
 # <<<  Export Config  >>>

=== debian/changelog ===
chemps2 (1.8.5-1) unstable; urgency=medium

  * Changes upstream 1.8.5
  * Install cmake config files with libchemps2-dev (Closes: #887104)
  * Install cmake target files with libchemps2-dev
  * Bump Standards-Version to 4.1.3
  * Deprecate python-chemps2 package
  * Introduce python3-chemps2 package
  * Update rules: python3, dh_numpy3
  * Build-Depends remove python-all, python-setuptools,
    python-docutils, python-sphinx, cython,
    python-numpy and libpython-dev
  * Build-Depends add python3-all (>= 3.6), python3-setuptools,
    python3-docutils, python3-sphinx, cython3,
    python3-numpy and libpython3-dev
  * Update copyright

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Mon, 15 Jan 2018 22:42:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
                liblapack-dev,
                libhdf5-dev,
                dh-python,
-               python-all (>= 2.7),
-               python-setuptools,
-               python-docutils,
-               python-sphinx (>= 1.1),
-               cython (>= 0.19),
-               python-numpy,
-               libpython-dev,
+               python3-all (>= 3.6),
+               python3-setuptools,
+               python3-docutils,
+               python3-sphinx (>= 1.1),
+               cython3 (>= 0.19),
+               python3-numpy,
+               libpython3-dev,
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/chemps2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/chemps2.git
@@ -155,16 +155,16 @@
  fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
  specified by the user.
 
-Package: python-chemps2
+Package: python3-chemps2
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          libchemps2-2 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: Python 2 interface for libchemps2-2
+Description: Python 3 interface for libchemps2-2
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -187,5 +187,5 @@
  respectively. For DMRG-SCF the active space 2-RDM is required, and
  for DMRG-CASPT2 the active space 4-RDM.
  .
- This package installs the library for Python 2.
+ This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -32,13 +32,13 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
 	dh_auto_install
 	# This will skip the build as it is already performed
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py install --root=../debian/tmp --install-layout=deb
-	dh_numpy
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py install --root=../debian/tmp --install-layout=deb
+	dh_numpy3
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))) # nocheck NOT in variable
@@ -50,7 +50,7 @@
 #Just check if the first python test works: python and c++ tests are identical
 	cd PyCheMPS2/tests && PYTHONPATH=../../$(shell find -name lib.*):.. \
                               LD_LIBRARY_PATH=../../obj-${DEB_HOST_GNU_TYPE}/CheMPS2:/usr/lib/${DEB_HOST_MULTIARCH}/hdf5/serial \
-                              python2 test1.py
+                              python3 test1.py
 else
 	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
 endif
@@ -67,4 +67,4 @@
 	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
